Package: org.grails.compiler.web.converters

## [Java] Class ConvertersDomainTransformer

- org.grails.compiler.web.converters.ConvertersDomainTransformer

- Adds the asType method to domain classes.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsArtefactTransformer` | `CURRENT_PREFIX, METHOD_MISSING_METHOD_NAME, OBJECT_CLASS, PUBLIC_STATIC_MODIFIER, STATIC_METHOD_MISSING_METHOD_NAME`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getArtefactType()`
    `` | `java.lang.Class<?>` | `getInstanceImplementation()`
    `` | `java.lang.Class<?>` | `getStaticImplementation()`
    `` | `protected boolean` | `requiresAutowiring()`
    `` | `boolean` | `shouldInject(java.net.URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsArtefactTransformer` | `addApiLookupFieldAndSetter, addDelegateInstanceMethod, addDelegateStaticMethod, addEnhancedAnnotation, addToTransformedClasses, clearCachedState, compareTo, getArtefactType, getArtefactTypes, getInstanceImplementation, getMarkerAnnotation, getStaticImplementation, getTransformedClassNames, hasArtefactAnnotation, isCandidateInstanceMethod, isStaticCandidateMethod, isStaticMethodExcluded, isStaticMethodIncluded, isValidArtefactType, isValidTargetClassNode, performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, performInjectionOnAnnotatedClass, performInstanceImplementationInjection, performStaticImplementationInjection, populateAutowiredApiLookupMethod, populateDefaultApiLookupMethod, requiresAutowiring, requiresStaticLookupMethod, resolveGenericsPlaceHolders, shouldSkipInjection`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public java.lang.String getArtefactType()

    - #### @java.lang.Override public java.lang.Class<?> getInstanceImplementation()

    - #### @java.lang.Override public java.lang.Class<?> getStaticImplementation()

    - #### @java.lang.Override protected boolean requiresAutowiring()

    - #### public boolean shouldInject(java.net.URL url)